Class Nexista_Path

Description

This class Nexista_provides functionality to resolve paths with different protocols such as flow, php, get etc... for use in xml files such as actions, validators queries, etc..

In many situations, such as src attributes of sitmap tags, query parameters, etc.... a protocol can be specified along with the desired variable in order to access data such as Flow, $_REQUEST, URIs, etc.... Path provides a standardized manner in which to access this data. For example, a map:xsl tag will have a src attribute defining the location of the XSL file. The defaut protocol in this case would be string so that, if no protocol is specfified, the value will be handled as a string. But other protocols can be used to resolve this value such as flow://some/var or php:some_php_eval_expression or get://some/get/var, etc.. Not all situations/tags accept multi-protocols. Please refer to the tag references for details.

Currently available protocols are: -get

  • $_GET variables
  • post - $_POST variables
  • globals - $GLOBALS variables
  • request - $_REQUEST variables
  • session - $_SESSION variables
  • files - $_FILES variables
  • server - $_SERVER variables
  • cookie - $_COOKIE variables
  • flow - Flow variables
  • php - PHP evaluation - Note that a return statement is automatically
  • string - Plain string
In the case of XML files such as the sitemap, queries, etc... a path variable is simply specified as a standard URI such as:
  1. <!-- sample sitemap tag -->
  2.  <map:xsl src="flow://my/xsl"/>

Located in /kernel/path.php (line 54)


	
			
Method Summary
 static string get (string $path, [string $defaultProtocol = 'string'])
 static string parseInlineFlow (string $string)
 static object class singleton ()
Methods
static get (line 70)

Returns a string based on given protocol://path

  • return: value of variable
  • access: public
string get (string $path, [string $defaultProtocol = 'string'])
  • string $path: path to resolve/render
  • string $defaultProtocol: (optional) default protocol if none given
static parseInlineFlow (line 177)

Resolves inline flow vars.

This method will look for curly bracketed values in a string and return a flow expression.

  • return: path with resolved inline flow expressions
  • access: public
string parseInlineFlow (string $string)
  • string $string: path to analyze, returns by ref
static singleton (line 229)

Returns a class Nexista_singleton.

  • return: Nexista_singleton instance
  • access: public
object class singleton ()

Documentation generated on Tue, 11 Mar 2008 23:23:09 -0400 for Nexista 0.2.0